%define upstream_name    Test-Run-CmdLine
%define upstream_version 0.0132

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Command line front-end for Test-Run
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

# These Requirs are not detected automatically, so we need to add them manually.
Requires:   perl(MooseX::Getopt::Basic)
Requires:   perl(MooseX::Getopt)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Getopt) >= 0.260.0
BuildRequires: perl(MooseX::Getopt::Basic)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::Core) >= 0.12.600
BuildRequires: perl(Test::Trap)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This is a module implementing a standalone command line application. It was
created to replace the use of the 'runprove' executable which is not always
installed or available in the path.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/runprove

%changelog
* Tue Oct 20 2020 tv <tv> 0.13.200-1.mga8
+ Revision: 1637206
- update to 0.0132

* Wed Feb 12 2020 umeabot <umeabot> 0.13.100-4.mga8
+ Revision: 1497489
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.13.100-3.mga7
+ Revision: 1272000
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.13.100-2.mga6
+ Revision: 1034633
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.13.100-1.mga6
+ Revision: 953374
- update to 0.0131

* Mon Jan 04 2016 shlomif <shlomif> 0.13.0-1.mga6
+ Revision: 919520
- update to 0.0130

* Sun Jul 05 2015 sander85 <sander85> 0.12.800-1.mga6
+ Revision: 851042
- update to 0.0128

* Sun Oct 19 2014 umeabot <umeabot> 0.12.600-4.mga5
+ Revision: 789019
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.12.600-3.mga5
+ Revision: 750667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.600-2.mga5
+ Revision: 686536
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.12.600-1.mga5
+ Revision: 588726
- update to 0.0126

* Fri Oct 18 2013 umeabot <umeabot> 0.12.500-3.mga4
+ Revision: 515254
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.500-2.mga3
+ Revision: 373772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 shlomif <shlomif> 0.12.500-1.mga3
+ Revision: 289241
- update to 0.0125

* Wed Aug 01 2012 shlomif <shlomif> 0.12.300-2.mga3
+ Revision: 277570
- Add missing requires

* Wed Aug 01 2012 shlomif <shlomif> 0.12.300-1.mga3
+ Revision: 277448
- Add a missing BR
- Update the license
- Fix the summary
- imported package perl-Test-Run-CmdLine

